< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package cache
  Definition Classes
    mongo
-  package collection
  Definition Classes
    cache
- CacheItem
- PlayMongoCacheCollection

c

uk.gov.hmrc.mongo.cache.collection

# PlayMongoCacheCollection 

###

#### class PlayMongoCacheCollection[A] extends PlayMongoCollection[CacheItem[A]]

Linear Supertypes
PlayMongoCollection[CacheItem[A]], MongoDatabaseCollection, AnyRef, Any
Known Subclasses
SessionCacheRepository, ShortLivedCacheRepository
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayMongoCacheCollection
2. PlayMongoCollection
3. MongoDatabaseCollection
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new PlayMongoCacheCollection(mongoComponent: MongoComponent, collectionName: String, domainFormat: Format[A], optRegistry: Option[CodecRegistry] = None, rebuildIndexes: Boolean = true, ttl: Duration, timestampSupport: TimestampSupport)(implicit arg0: ClassTag[A], ec: ExecutionContext)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  val collection: MongoCollection[CacheItem[A]]
   Definition Classes
     PlayMongoCollection
7.  val collectionName: String
   Definition Classes
     PlayMongoCollection → MongoDatabaseCollection
8.  def ensureIndexes(): Future[Seq[String]]
   Definition Classes
     PlayMongoCollection
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  def find(id: String): Future[Option[CacheItem[A]]]
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  val indexes: Seq[IndexModel]
    Definition Classes
      PlayMongoCollection → MongoDatabaseCollection
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def remove(id: String): Future[Unit]
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  def upsert(id: String, toCache: A): Future[Unit]
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from PlayMongoCollection[CacheItem[A]]

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped